> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bronto.io/llms.txt
> Use this file to discover all available pages before exploring further.

# bronto api

> Make an authenticated request to any Bronto API endpoint

Calls any API endpoint, including ones without a dedicated command.
bronto adds the API key and sends the request to your region's base URL.

<Tip>
  * **Platform docs:** [docs.bronto.io/api-reference/introduction](https://docs.bronto.io/api-reference/introduction)
  * **API reference:** [docs.bronto.io/api-reference/introduction](https://docs.bronto.io/api-reference/introduction)
</Tip>

```sh theme={"dark"}
bronto api <METHOD> <path> [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--content-type` | | string | `application/json` | Content-Type header for request bodies |
| `--field` | `-f` | stringArray | | key=value: a query parameter for GET/DELETE, a JSON body field otherwise (repeatable) |
| `--input` | | string | | read the request body from a file, or - for stdin |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto api GET /logs
bronto api GET /monitors -f limit=10
bronto api POST /search --input query.json
echo '{"time_range":"Last 15 minutes"}' | bronto api POST /search --input -
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.